# finfo_buffer

# finfo::buffer

(PHP 5 >= 5.3.0, PHP 7, PECL fileinfo >= 0.1.0)

finfo_buffer -- finfo::buffer — Return information about a string buffer

### Description

Procedural style

finfo_buffer ( resource `$finfo` , string `$string` [, int `$options` = FILEINFO_NONE [, resource `$context` ]] ) : string

Object oriented style

public finfo::buffer ( string `$string` [, int `$options` = FILEINFO_NONE [, resource `$context` ]] ) : string

This function is used to get information about binary data in a string.

### Parameters

`finfo`

  Fileinfo resource returned by finfo_open().

`string`

  Content of a file to be checked.

`options`

  One or disjunction of more Fileinfo constants.

`context`

### Return Values

Returns a textual description of the `string` argument, or `FALSE` if an error occurred.

### Examples

Example #1 A finfo_buffer() example

`<?php
$finfo = new finfo(FILEINFO_MIME);
echo $finfo->buffer($_POST["script"]) . "\n";
?>`

The above example will output something similar to:

    application/x-sh; charset=us-ascii

### See Also

- finfo_file() - Alias of finfo_file()